\documentclass[12pt, a4paper]{article}
%
\usepackage[utf8]{inputenc}
\usepackage{hyperref}
%
\usepackage[IL2]{fontenc}
%
\title{
    Function Optimisation Using a Genetic Algorithm\\
    Seminar work of `Programming in C'
}
\author{Milan Kladívko}
\date{December 2018}
%
%
%
%
%
\begin{document}

%
% Print cover
% #TODO add a ZČU logo
% 
\maketitle
\newpage

%
% Table of contents
%
\tableofcontents
\newpage










\end{document}
